## golang-strk.kbt-projects-go-libravatar 0.0~git20161111.0.d628b68

=== Makefile ===
PACKAGES ?= $(shell go list ./...)

.PHONY: check
check: lint
	go test

.PHONY: lint
lint:
	@which golint > /dev/null; if [ $$? -ne 0 ]; then \
		go get -u github.com/golang/lint/golint; \
	fi
	@for PKG in $(PACKAGES); do golint -set_exit_status $$PKG || exit 1; done;

=== debian/changelog ===
golang-strk.kbt-projects-go-libravatar (0.0~git20161111.0.d628b68-6) unstable; urgency=medium

  * QA upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Jelmer Vernooĳ ]
  * Fix Debian QA group name.
  * Use secure copyright file specification URI.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + golang-strk.kbt-projects-go-libravatar-dev: Add Multi-Arch: foreign.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Update standards version to 4.1.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Feb 2021 18:18:51 +0000

golang-strk.kbt-projects-go-libravatar (0.0~git20161111.0.d628b68-5) unstable; urgency=medium

  * Remove Michael Lustfield from Uploaders list.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 03 Feb 2018 12:13:35 -0600

golang-strk.kbt-projects-go-libravatar (0.0~git20161111.0.d628b68-4) unstable; urgency=medium

  * Oprhaning package.

 -- Michael Lustfield <michael@lustfield.net>  Fri, 02 Feb 2018 23:16:09 -0600

golang-strk.kbt-projects-go-libravatar (0.0~git20161111.0.d628b68-3) unstable; urgency=medium

  * Maintenance updates:
    - Standards-Version bump.
    - Add Testsuite to d/control.

 -- Michael Lustfield <michael@lustfield.net>  Thu, 28 Sep 2017 23:24:06 -0500

golang-strk.kbt-projects-go-libravatar (0.0~git20161111.0.d628b68-1) unstable; urgency=medium

  * Initial release (Closes: #857700)

 -- Michael Lustfield <michael@lustfield.net>  Mon, 13 Mar 2017 23:43:56 -0500

=== debian/control ===
Source: golang-strk.kbt-projects-go-libravatar
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
Standards-Version: 4.1.1
Homepage: https://strk.kbt.io/projects/go/libravatar/
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-strk.kbt-projects-go-libravatar
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-strk.kbt-projects-go-libravatar.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: strk.kbt.io/projects/go/libravatar

Package: golang-strk.kbt-projects-go-libravatar-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: Simple Go library for serving federated avatars
 This package provides a simple Go library for looking up and serving
 federated avatars hosted on the libravatar service.
 .
 See: https://wiki.libravatar.org/api/ || https://wiki.libravatar.org/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

# Tests attempt to reach out to web services.
override_dh_auto_test:
